Get batch status
curl --request GET \
--url https://api.nexrender.com/api/v2/batches/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nexrender.com/api/v2/batches/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nexrender.com/api/v2/batches/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"batchId": "<string>",
"status": "processing",
"stats": {
"total": 123,
"finished": 123,
"error": 123,
"pending": 123
},
"jobs": [
{
"index": 123,
"id": "<string>",
"status": "<string>",
"outputUrl": "<string>",
"stats": {
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"errorAt": "2023-11-07T05:31:56Z",
"totalAssets": 123,
"renderDuration": 123,
"error": "<string>"
}
}
]
}{
"error": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Batch Jobs
Get batch status
Retrieve the current status and progress of a batch of jobs, including aggregate statistics and per-job details
GET
/
batches
/
{id}
Get batch status
Authorizations
Bearer token authentication using API tokens for team-based access control.
You can generate your own API token at: https://app.nexrender.com/settings/api-tokens
Path Parameters
Unique batch identifier in ULID format
Pattern:
^[0-9A-HJKMNP-TV-Z]{26}$Response
Successfully retrieved batch status and job details
Current status and progress of a batch of jobs
Unique batch identifier
Overall batch status based on aggregate job states
Available options:
processing, finished, error Aggregate statistics for all jobs in the batch
Show child attributes
Show child attributes
Individual job details within the batch
Show child attributes
Show child attributes
Was this page helpful?
⌘I

